ユーザー

ユーザーを検索

GET /v1/users/search reads 2 クレジット

ユーザー検索: 名前、ハンドル、自己紹介の語句にマッチするアカウント。マッチ度の高い順。

クエリパラメータ

クエリパラメータ型意味
q *string名前、ハンドル、または自己紹介の語句
countint 1–100 = 20要求するページサイズ。X はヒントとして扱います
cursorstring前のページの next_cursor から

レスポンス

query、完全なユーザーレコードの 1 ページ、カーソル (終端では null)。 フィールドごとの説明: User (ユーザー).

ステータス: 200, 400, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/users/search?q=reuters&count=20 \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
  "query": "reuters",
  "users": [
    {
      "id": "1652541",
      "screen_name": "Reuters",
      "name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "followers": 26367698,
      "following": 1195,
      "tweets": 1395836,
      "location": "Around the world",
      "url": "https://t.co/…",
      "verified": true,
      "verified_type": "Business",
      "protected": false,
      "created_at": "2007-03-20T17:46:05Z",
      "category": "Media & News Company"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAAFCgABHSYySrM__6MLAAIAAACIRW1QQzZ3QUFBZlEvZ0dKTjB2R3AvQUFBQUFvQUFBQUFFLzZsVWd…"
}